# class KAboutWidget | KAboutWidget is the main widget for KAboutDialog. More...
Definition | `#include <kaboutdialog.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutWidget (QWidget* parent=0, const char* name=0 )
- void adjust ()
- void setLogo (const QPixmap&)
- void setAuthor (const QString& name, const QString& email, const QString& url, const QString& work)
- void setMaintainer (const QString& name, const QString& email, const QString& url, const QString& work)
- void addContributor (const QString& name, const QString& email, const QString& url, const QString& work)
- void setVersion (const QString& name)

#### Signals

- void sendEmail (const QString& name, const QString& email)
- void openURL (const QString& url)

#### Protected Methods

- void resizeEvent (QResizeEvent*)

#### Protected Slots

- void sendEmailSlot (const QString& name, const QString& email)
- void openURLSlot (const QString& url)

#### Protected Members

- QLabel *version
- QLabel *cont
- QLabel *logo
- KAboutContributor *author
- KAboutContributor *maintainer
- bool showMaintainer
- QList<KAboutContributor> contributors

## Detailed Description

KAboutWidget is the main widget for KAboutDialog.

It has a minimum size set.

KAboutWidget (QWidget* parent=0, const char* name=0 ) | ### KAboutWidget

The Qt constructor.

void adjust () | ### adjust

Adjust the minimum size (after setting the properties of the image and the labels.

void setLogo (const QPixmap&) | ### setLogo

Set the image as the application logo.

void setAuthor (const QString& name, const QString& email, const QString& url, const QString& work) | ### setAuthor

void setMaintainer (const QString& name, const QString& email, const QString& url, const QString& work) | ### setMaintainer

void addContributor (const QString& name, const QString& email, const QString& url, const QString& work) | ### addContributor

void setVersion (const QString& name) | ### setVersion

void sendEmailSlot (const QString& name, const QString& email) | ### sendEmailSlot

[protected slots slot]

void openURLSlot (const QString& url) | ### openURLSlot

[protected slots slot]

void sendEmail (const QString& name, const QString& email) | ### sendEmail

[signal]

void openURL (const QString& url) | ### openURL

[signal]

void resizeEvent (QResizeEvent*) | ### resizeEvent

[protected]

Reimplemented from QWidget.

QLabel * version | ### version

[protected]

QLabel * cont | ### cont

[protected]

QLabel * logo | ### logo

[protected]

KAboutContributor * author | ### author

[protected]

KAboutContributor * maintainer | ### maintainer

[protected]

bool showMaintainer | ### showMaintainer

[protected]

QList<KAboutContributor> contributors | ### contributors

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.